Page MenuHomePhabricator

CirrusSearch: normal word get obscure used as keyword (namespace)
Closed, ResolvedPublic

Description

If we search (on Commons:Village pump/Archive for example) for an archived discussion "Proposal to ban from using the 'no source' template for six months" there is no valid result, because the namespace seems switched strange to template as keyword, which is not to expect and a no-go for a normal string.

If we remove only the word template we get the hit.

Event Timeline

Perhelion created this task.Nov 8 2016, 7:41 AM
Restricted Application added a project: Discovery-Search. · View Herald TranscriptNov 8 2016, 7:41 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Perhelion updated the task description. (Show Details)Nov 8 2016, 7:45 AM
Perhelion renamed this task from CirrusSearch: normal word get obscure used as keyword to CirrusSearch: normal word get obscure used as keyword (namespace).Nov 8 2016, 7:49 AM
Perhelion updated the task description. (Show Details)Nov 8 2016, 7:58 AM
dcausse triaged this task as High priority.Nov 8 2016, 8:40 AM
dcausse added a subscriber: dcausse.

This is exactly the same bug that was affecting the russian wikipedia recently (T148344).
Unfortunately the solution is to reindex the wiki to fix this bug. Hopefully we'll reindex commons in the coming weeks.

Deskana added a subscriber: Deskana.Nov 8 2016, 6:12 PM

We'll kick off a reindex of Commons to fix this issue soon.

Thanks guys, for the fast solving.

EBernhardson removed EBernhardson as the assignee of this task.Nov 9 2016, 11:43 PM
EBernhardson added a subscriber: EBernhardson.

Mentioned in SAL (#wikimedia-operations) [2016-11-10T19:37:31Z] <dcausse> elastic@eqiad: reindexing commonswiki (logs in terbium.eqiad.wmnet:~dcausse/commons_reindex/cirrus_log) - T150232

The reindex failed, I will retry next monday.

Mentioned in SAL (#wikimedia-operations) [2016-11-14T09:37:19Z] <dcausse> elastic@eqiad T150232: reindexing commonswiki from terbium (logs in ~dcausse/commons_reindex/cirrus_log)

Mentioned in SAL (#wikimedia-operations) [2016-11-14T14:14:49Z] <dcausse> elastic@eqiad T150232: commonswiki reindex failed again

Mentioned in SAL (#wikimedia-operations) [2016-11-14T14:28:00Z] <dcausse> elastic@eqiad T150232: reindex commonswiki (content and general indices only) (logs terbium:~dcausse/commons_reindex/cirrus_log)

commonswiki_general is reindexed, the bug should be fixed now.

Works for me, thanks all!

Perhelion closed this task as Resolved.Nov 15 2016, 11:59 AM